Unit AppVisible;
{-------------------------------------------------}
{                                                 }
{ This code was written by : Daemen Wesley        }
{			and  Frederic Vanmol	  }
{                                                 }
{ This code is copyright  1996 by                }
{       Daemen Wesley                             }
{-------------------------------------------------}

interface

uses
  Forms, windows, sysutils, classes, dsgnintf;

type
  THideAppBtn = class(TComponent)
  private
    FAppVisible: boolean;
    procedure SetAppVisible(Value : Boolean);
    procedure Loaded; override;
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  published
    property AppVisible: boolean read FAppVisible write SetAppVisible stored True default True;
  end;


procedure Register;



implementation

{--------------------------------------}
{ THideAppBtn.Loaded                   }
{--------------------------------------}
procedure THideAppBtn.Loaded;
begin
  inherited Loaded;
  SetAppVisible(FAppVisible);
end;

{--------------------------------------}
{ THideAppBtn.Create                   }
{--------------------------------------}
constructor THideAppBtn.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  FAppVisible:=True;
 end;

{--------------------------------------}
{ THideAppBtn.Destroy                  }
{--------------------------------------}
destructor THideAppBtn.Destroy;
begin
  inherited Destroy;
end;

{--------------------------------------}
{ THideAppBtn.SetAppVisible            }
{--------------------------------------}
procedure THideAppBtn.SetAppVisible(Value : Boolean);
begin
  { First, we check wether were designing or not.
     If you leave this line out, setting AppVisible to TRUE in the IDE will cause the
     Delphi button on the taskbar to disappear. Cool effect, though. }
  if csDesigning in ComponentState then
    ShowWindow(Application.Handle, SW_SHOW)
  else
  begin
  { Application.Handle seems to be the handle to the taskbar button, somehow. }
    if Value Then
      ShowWindow(Application.Handle, SW_SHOW)
    else
     ShowWindow(Application.Handle, SW_HIDE);
  end;
  FAppVisible := Value;
end;


{--------------------------------------}
{ Register                             }
{--------------------------------------}
procedure Register;
begin
  RegisterComponents('Samples', [THideAppBtn]);
end;


end.
